Show / Hide Table of Contents

# Struct MJIGranaries

A struct representing a list of granaries present in the Island Sanctuary.

The struct provides a helper method to retrieve information about a single granary (referenced by ID), but will otherwise allow querying a specific field by ID directly.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.MJI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MJIGranaries

### Fields

| Improve this Doc View Source

#### BuildingLevel

##### Declaration

    public byte *BuildingLevel

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GlamourLevel

##### Declaration

    public byte *GlamourLevel

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### HoursToCompletion

##### Declaration

    public byte *HoursToCompletion

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### PlaceId

##### Declaration

    public byte *PlaceId

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### UnderConstruction

##### Declaration

    public byte *UnderConstruction

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Properties

| Improve this Doc View Source

#### Item[Int32]

##### Declaration

    public readonly (byte PlaceId, byte GlamourLevel, byte HoursToCompletion, byte BuildingLevel, bool UnderConstruction) this[int idx] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

##### Property Value

Type | Description
--- | ---
System.ValueTuple<System.Byte, System.Byte, System.Byte, System.Byte, System.Boolean> |